| Home | Libraries | People | FAQ | More

###### field::as_time (1 of 2 overloads)

Retrieves a reference to the underlying `time` value or throws an exception.

###### Synopsis

    const time&
    as_time() const;

###### Exception safety

Strong guarantee. Throws on type mismatch.

###### Exceptions

Type | Thrown On
--- | ---
`bad_field_access` | If `!this->is_time()`

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.